/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct SendWarnMetricAckRequest {
    /// Flag which determines if the ack for the metric warning should be directly stored (without trying to send email first) or not
    #[serde(rename = "forceAck", skip_serializing_if = "Option::is_none")]
    pub force_ack: Option<bool>,
}

impl SendWarnMetricAckRequest {
    pub fn new() -> SendWarnMetricAckRequest {
        SendWarnMetricAckRequest { force_ack: None }
    }
}
